Next Previous Contents

## 3.135 setjmp

> Function

>   Save the context for use with `longjmp`.

> Header

>   `setjmp.h`

> Declaration

>   `int __fastcall__ setjmp (jmp_buf buf);`

> Description

>   The `setjmp` function saves the current context in `buf` for subsequent use by the `longjmp` function and returns zero.

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
>   - `setjmp` is actually a macro as required by the ISO standard.
>   - `setjmp` will not save the signal context.
> Availability

>   ISO 9899

> See also

>   longjmp

> Example

>   None.

Next Previous Contents